Subject: Re: QVC- concierge order
From: subir chakma <[email-masked]>
To: gelna <[email-masked]>
Date: Mon, 27 Apr 2015 21:43:45 +0530 (IST)

Pls share all QVC concierge orders and I'll look into it. 

----- Original Message ----- 
From: "gelna" <[email-masked]> 
To: "subir" <[email-masked]> 
Sent: Sunday, April 26, 2015 5:35:15 AM GMT +05:30 Chennai, Kolkata, Mumbai, New Delhi 
Subject: QVC- concierge order 

Hi Subir sir, 

I've been trying to contact QVC office of the president/finance department. The problem here is that I always received a voice mail message saying : Finance Department is currently closed. They are available only from 9am to 5 pm EST. Pls leave your name, day time phone number and your order number' 

I did! But no one is calling us back. QVC has closed our account and there orders were cancelled . We need to speck with them why our account was closed. Chat support cannot help, tried to email them but they always suggest the same thing: 

Thank you for emailing QVC regarding your member account.  All 
correspondence must be made in writing and sent to the following address: 
QVC, Inc. 
ATTN: Customer Service 
1200 Wilson Drive 
West Chester, PA 19380 

I am sorry I could not assist you further. 

What should I do? 

Regards, 
Gelna